## alsa-tools 1.0.13

=== ld10k1/contrib/emu10k1MIDIEffects/Makefile ===
--- 
+++ 
@@ -34,8 +34,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = i686-pc-linux-gnu
-host_triplet = i686-pc-linux-gnu
+build_triplet = i686-suse-linux
+host_triplet = i686-suse-linux
 subdir = contrib/emu10k1MIDIEffects
 DIST_COMMON = $(dist_effects_DATA) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in
@@ -88,8 +88,8 @@
 ECHO_T = 
 EGREP = grep -E
 EXEEXT = 
-F77 = g77
-FFLAGS = -g -O2
+F77 = 
+FFLAGS = 
 HAVE_AS10K1_FALSE = #
 HAVE_AS10K1_TRUE = 
 INSTALL_DATA = ${INSTALL} -m 644
@@ -124,7 +124,7 @@
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
-ac_ct_F77 = g77
+ac_ct_F77 = 
 ac_ct_RANLIB = ranlib
 ac_ct_STRIP = strip
 am__fastdepCC_FALSE = #
@@ -137,19 +137,19 @@
 am__tar = ${AMTAR} chof - "$$tardir"
 am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
-build = i686-pc-linux-gnu
+build = i686-suse-linux
 build_alias = 
 build_cpu = i686
-build_os = linux-gnu
-build_vendor = pc
+build_os = linux
+build_vendor = suse
 datadir = ${prefix}/share
 effectsdir = $(pkgdatadir)/effects
 exec_prefix = ${prefix}
-host = i686-pc-linux-gnu
+host = i686-suse-linux
 host_alias = 
 host_cpu = i686
-host_os = linux-gnu
-host_vendor = pc
+host_os = linux
+host_vendor = suse
 includedir = ${prefix}/include
 infodir = ${prefix}/info
 install_sh = /home/alsa/tmp/cvs/alsa-tools/ld10k1/install-sh
