## alsa-tools 1.0.15

=== ld10k1/contrib/emu10k1MIDIEffects/Makefile ===
--- 
+++ 
@@ -34,8 +34,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = i686-suse-linux
-host_triplet = i686-suse-linux
+build_triplet = x86_64-suse-linux-gnu
+host_triplet = x86_64-suse-linux-gnu
 subdir = contrib/emu10k1MIDIEffects
 DIST_COMMON = $(dist_effects_DATA) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in
@@ -86,10 +86,11 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = grep -E
+EGREP = /usr/bin/grep -E
 EXEEXT = 
 F77 = 
 FFLAGS = 
+GREP = /usr/bin/grep
 HAVE_AS10K1_FALSE = #
 HAVE_AS10K1_TRUE = 
 INSTALL_DATA = ${INSTALL} -m 644
@@ -121,12 +122,9 @@
 SHELL = /bin/sh
 STRIP = strip
 VERSION = 0.1.8p1
-ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
 ac_ct_F77 = 
-ac_ct_RANLIB = ranlib
-ac_ct_STRIP = strip
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
 am__fastdepCXX_FALSE = #
@@ -137,30 +135,37 @@
 am__tar = ${AMTAR} chof - "$$tardir"
 am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
-build = i686-suse-linux
+build = x86_64-suse-linux-gnu
 build_alias = 
-build_cpu = i686
-build_os = linux
+build_cpu = x86_64
+build_os = linux-gnu
 build_vendor = suse
-datadir = ${prefix}/share
+datadir = ${datarootdir}
+datarootdir = ${prefix}/share
+docdir = ${datarootdir}/doc/${PACKAGE}
+dvidir = ${docdir}
 effectsdir = $(pkgdatadir)/effects
 exec_prefix = ${prefix}
-host = i686-suse-linux
+host = x86_64-suse-linux-gnu
 host_alias = 
-host_cpu = i686
-host_os = linux
+host_cpu = x86_64
+host_os = linux-gnu
 host_vendor = suse
+htmldir = ${docdir}
 includedir = ${prefix}/include
-infodir = ${prefix}/info
+infodir = ${datarootdir}/info
 install_sh = /home/alsa/tmp/cvs/alsa-tools/ld10k1/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
+localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
-mandir = ${prefix}/man
+mandir = ${datarootdir}/man
 mkdir_p = mkdir -p --
 oldincludedir = /usr/include
+pdfdir = ${docdir}
 prefix = /usr/local
 program_transform_name = s,x,x,
+psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 sysconfdir = ${prefix}/etc
