## alsa-tools 1.0.23

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
-VERSION = 1.0.22
+VERSION = 1.0.23
 TOP = .
 SUBDIRS = ac3dec as10k1 envy24control hdsploader hdspconf hdspmixer \
 	  mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \
-	  us428control usx2yloader vxloader echomixer ld10k1 qlo10k1
+	  us428control usx2yloader vxloader echomixer ld10k1 qlo10k1 \
+	  hwmixvolume
 
 all:
 	@for i in $(SUBDIRS); do \
