=== debian/changelog ===
alsa-tools (1.0.23-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Removed udev from ld10k1's 'Depends:' and added udev to "# Should-Start:" in
    ld10k1's initscript. This makes it possible to install ld10k1 on archs and
    systems without the need to run udev.

 -- Jordi Mallach <jordi@debian.org>  Sat, 19 Jun 2010 13:39:54 +0200

alsa-tools (1.0.23-2) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Added udev to ld10k1's 'Depends:'. Thanks Holger Levsen. (closes: #585889)

  [ Jordi Mallach ]
  * Add manpage_spelling.patch with fixes to some spelling errors in
    cspctl.1.
  * Fix spelling errors in Debian-provided lo10k1.1.
  * Add DEP-3 patch headers to all patches.
  * Remove duplicate Section field.
  * Point to the GPL-2 file in copyright files.

 -- Jordi Mallach <jordi@debian.org>  Tue, 15 Jun 2010 09:46:01 +0200

alsa-tools (1.0.23-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * ld10k1: Introduced init_live_bashismfix.patch to fix some bashism found by
    checkbashisms script. Thanks Raphael Geissert. (closes: #581117).
  * alsa-firmware-loaders: Don't create the symbolic link
    /etc/udev/rules.d/z55_alsa-firmware-loaders.rules (closes: #583743).
    alsa-firmware-loaders.postrm isn't needed anymore.
  * Added dependency on $remote_fs in ld10k1 initscript.

  [ Jordi Mallach ]
  * Add powerpcspe to the list of supported architectures, and remove
    lpia, which is no longer being used by Ubuntu.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 Jun 2010 21:37:53 +0200

alsa-tools (1.0.22-1) unstable; urgency=low

  * New upstream release.
    - fixes envy24control when running Linux 2.6.32 (closes: #569275).

  [ Elimar Riesebieter ]
  * Switched to source version 3.0.
  * Install alsa-firmware-loaders.rules as
    /lib/udev/rules.d/alsa-firmware-loaders.rules
  * Replace SYSFS{}= with ATTR{}= in alsa-firmware-loaders.rules. Thanks Jakob
    Schuerz (closes: #566124)
  * Replace BUS== with SUBSYSTEM== in alsa-firmware-loaders.rules.

  [ Jordi Mallach ]
  * Add sparc64 to the list of supported architectures.
  * Bump Standards-Version to 3.8.4, with no changes required.

 -- Jordi Mallach <jordi@debian.org>  Fri, 12 Feb 2010 03:03:54 +0100

alsa-tools (1.0.21-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Added avr32 to supported archs.
  * Bumped Standards-Version to 3.8.3. No changes.
  * Added README.source.

 -- Jordi Mallach <jordi@debian.org>  Thu, 17 Sep 2009 19:22:37 +0200

alsa-tools (1.0.20-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Bumped Standard-Version to 3.8.1; no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Thu, 04 Jun 2009 01:50:55 +0200

alsa-tools (1.0.19-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release.

  [ Jordi Mallach ]
  * Add ${misc:Depends} to liblo10k1-dev.

 -- Jordi Mallach <jordi@debian.org>  Sat, 14 Mar 2009 02:35:57 +0100

alsa-tools (1.0.18-1) experimental; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Build-Depends bumped to libasound2-dev (>= 1.0.18).

 -- Jordi Mallach <jordi@debian.org>  Fri, 07 Nov 2008 13:58:01 +0100

alsa-tools (1.0.17-1) experimental; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Switched to debhelper 7.
  * Bumped Standard-Version to 3.8.0; no changes needed.
  * Added copyright notice to *10k1 packages. Removed homepage in description.
  * Moved liblo10k1-dev to section libdevel.

  [ Jordi Mallach ]
  * Merge from Ubuntu:
    - install an icon for GUI programs.
    - add firmware_locations.patch to make firmware loaders look in
      /lib/firmware.

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 Sep 2008 20:24:07 +0200

alsa-tools (1.0.16-2) unstable; urgency=low

  * Add lpia to the list of supported architectures.
  * Switch lo10k1.sh to use /bin/bash as it uses "exec -a" (closes: #465002).

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Aug 2008 17:50:06 +0200

alsa-tools (1.0.16-1) unstable; urgency=low

  * New upstream release

  [ Jordi Mallach ]
  * Switch to now official Vcs-* control fields.

  [ Elimar Riesebieter ]
  * Switched to debhelper 6.
  * Bumped Standard-Version to 3.7.3; no changes needed.
  * Removed hammerfal.patch. Applied from upstream.

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Feb 2008 18:18:08 +0100

alsa-tools (1.0.15-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added hammerfall.patch, which fixes initialisation of all HDSP cards
    with hdspmixer (thanks, Frank Heckenbach). (closes: #450805)

 -- Jordi Mallach <jordi@debian.org>  Wed, 14 Nov 2007 01:02:36 +0100

alsa-tools (1.0.15-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Reworked debian/rules clean target to build twice in a row.
    (closes: #442489)
  * Added patches/as10k1_examples_Makefile.patch to run a clean distclean in
    as10k1.
  * Added LSB section to ld10k1 init script.
  * s/Apps/Applications in menus.
  * Added Homepage header in debian/control.

 -- Jordi Mallach <jordi@debian.org>  Tue, 30 Oct 2007 17:59:27 +0100

alsa-tools (1.0.14-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added README.Debian for alsa-firmware-loaders. (closes: 434592)
  * Managed to load usx2yloader via udev. (closes: #361558, #395371)
  * Make alsa-firmware-loaders depend on udev and fxload.

 -- Jordi Mallach <jordi@debian.org>  Sat, 15 Sep 2007 21:58:44 +0200

alsa-tools (1.0.14-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Added desktopfiles:
    echomixer.desktop
    envy24_control.desktop
    hdspconf.desktop
    hdspmixer.desktop
    rmedigicontrol.desktop
    A menu entry per each: (closes: 422773) Thanks Emmet Hikory.
  * Prepared to use quilt as the patch manager.
  * Removed 01_config.dpatch. Hardcoded in debian/rules.

  [ Jordi Mallach ]
  * debian/control: add XS-Vcs-Browser and XS-Vcs-Svn headers.
  * debian/*.desktop: Small changes to Comments.


