=== debian/watch ===
version=2
ftp://ftp.alsa-project.org/pub/tools/alsa-tools-(.*)\.tar\.bz2	debian	uupdate
