=== debian/changelog ===
alsa-tools (1.0.24.1-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Applied hdspmixer_recognize_RME.patch from git. (closes: #641352)
  * Modified init_live_bashismfix.patch as told by Joachim Wiedorn,
    (closes: #644396).
  * Added build-indep to rules.

  [ Jordi Mallach ]
  * Update Vcs-* fields to non-redirected URLs. 

 -- Jordi Mallach <jordi@debian.org>  Mon, 17 Oct 2011 17:21:42 +0200

alsa-tools (1.0.24.1-2) unstable; urgency=low

  * Tighten libasound2-dev Build-Depends to >= 1.0.24.1, to avoid a build
    failure of hdspmixer due to missing new alsa-lib headers
    (closes: #629911).

 -- Jordi Mallach <jordi@debian.org>  Thu, 18 Aug 2011 22:56:11 +0200

alsa-tools (1.0.24.1-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compat to v8. Update .install files to remove the
    debian/tmp prefix.
  * Rename alsa-firmware-loaders.rules to .udev and use dh_installudev to
    install the rules file.
  * Drop obsolete README.source.
  * Bump Standards-Version to 3.9.2.
  * Use $(CURDIR) instead of `pwd`.

 -- Jordi Mallach <jordi@debian.org>  Thu, 21 Jul 2011 19:16:14 +0200

alsa-tools (1.0.23-5) unstable; urgency=low

  * Switch to architecture wildcard 'linux-any'.
  * Remove unneeded .la file from liblo10k1-dev (closes: #621151).
  * Add patch from Simone Rosetto to fix loading of usx2yloader tascam
    firmware (closes: #620510).

 -- Jordi Mallach <jordi@debian.org>  Sat, 07 May 2011 17:44:20 +0200

alsa-tools (1.0.23-4) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added armhf to the supported archs. (closes: #604651)
  * Bumped Standards-Version to 3.9.1. No changes

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Apr 2011 19:57:56 +0200
