=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Jordi Mallach <jordi@debian.org>,
            Mikael Magnusson <mikma@users.sourceforge.net>,
            Elimar Riesebieter <riesebie@lxtec.de>
-Build-Depends: debhelper (>= 7), autotools-dev,
-               libasound2-dev (>= 1.0.18), libfltk1.1-dev, libgtk2.0-dev,
+Build-Depends: debhelper (>= 8), autotools-dev,
+               libasound2-dev (>= 1.0.24.1), libfltk1.1-dev, libgtk2.0-dev,
                libqt3-mt-dev (>= 3:3.3.4-4)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.alsa-project.org/
-Vcs-Svn: svn://svn.debian.org/pkg-alsa/trunk/alsa-tools
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-alsa/trunk/alsa-tools/
+Vcs-Svn: svn://anonscm.debian.org/pkg-alsa/trunk/alsa-tools
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-tools/
 
 Package: alsa-tools
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: as10k1
 Conflicts: as10k1
@@ -28,7 +28,7 @@
   us428control - Controller utility for Tascam US-X2Y
 
 Package: alsa-tools-gui
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GUI based ALSA utilities for specific hardware
  A collection of GUI based ALSA utilities for specific sound hardware:
@@ -42,7 +42,7 @@
 
 Package: alsa-firmware-loaders
 Section: contrib/sound
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, udev, fxload
 Description: ALSA software loaders for specific hardware
  A collection of software loaders for specific hardware:
@@ -56,7 +56,7 @@
   vxloader - firmware loader for Digigram VX soundcards
 
 Package: ld10k1
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-3)
 Suggests: alsa-tools
 Description: ALSA emu10k1/2 patch loader
@@ -65,7 +65,7 @@
 
 Package: liblo10k1-0
 Section: libs
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ALSA emu10k1/2 patch-loader library
  This is the runtime library for the ld10k1 patch loader for use with
@@ -74,7 +74,7 @@
 
 Package: liblo10k1-dev
 Section: libdevel
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Depends: liblo10k1-0 (= ${binary:Version}), libasound2-dev, ${misc:Depends}
 Description: ALSA emu10k1/2 patch-loader library development files
  These are the development files for the ld10k1 patch loader for use with
@@ -82,7 +82,7 @@
  Audigy 2.
 
 Package: qlo10k1
-Architecture: alpha amd64 arm armeb armel avr32 hppa i386 ia64 m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
+Architecture: linux-any
 Recommends: ld10k1
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ALSA ld10k1 utility
