=== debian/rules ===
--- 
+++ 
@@ -64,15 +64,17 @@
 	  CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" ./configure \
 	    --host=$(DEB_HOST_GNU_TYPE) \
 	    --build=$(DEB_BUILD_GNU_TYPE) \
-	    --prefix=/usr --mandir=\$${prefix}/share/man \
-	    --infodir=\$${prefix}/share/info --datadir=\$${prefix}/share \
+	    --prefix=/usr \
+	    --mandir=\$${prefix}/share/man \
+	    --infodir=\$${prefix}/share/info \
+	    --datadir=\$${prefix}/share \
 	    --cache-file=$(CURDIR)/config.cache \
 	    --enable-static=yes \
 	    --enable-dynamic=yes \
 	    --with-qtdir=/usr/share/qt3 \
-	    --with-ld10k1-inc-prefix=`pwd`/../ld10k1/include \
-	    --with-ld10k1-prefix=`pwd`/../ld10k1/src \
-	    --disable-ld10k1test &&\
+	    --with-ld10k1-inc-prefix=$(CURDIR)/../ld10k1/include \
+	    --with-ld10k1-prefix=$(CURDIR)/../ld10k1/src \
+	    --disable-ld10k1test && \
 	   if test $$subdir = ld10k1; then make -C include version.h; fi \
 	  ); \
 	done
@@ -81,10 +83,10 @@
 
 
 #Architecture 
-build: build-arch
-
-build-arch: config build-arch-stamp
-build-arch-stamp:
+build: build-arch build-indep
+build-arch: config build-stamp
+build-indep: build-stamp
+build-stamp:
 
 	list='$(SUBDIRS)'; for subdir in $$list; do \
 	  echo; \
@@ -119,7 +121,7 @@
 	list='$(SUBDIRS_$(PKG))'; for subdir in $$list; do \
 	  (cd $$subdir; \
 	  package=$(PKG); \
-	  name=`echo $$subdir | sed -e 's/^.*\///g' | sed -e 's/_/-/g'`; \
+	  name=$(shell echo \$$subdir | sed -e 's/^.*\///g' | sed -e 's/_/-/g'); \
 	  echo; \
 	  echo "Installing $$subdir into $$name"; \
 	  $(MAKE) install DESTDIR=$(CURDIR)/debian/$$package; \
@@ -142,8 +144,6 @@
 	$(MAKE) -f debian/rules PKG=alsa-tools install-pkg
 	$(MAKE) -f debian/rules PKG=alsa-tools-gui install-pkg
 	$(MAKE) -f debian/rules PKG=alsa-firmware-loaders install-pkg
-	install $(INSTALL_UAG) -m644 debian/alsa-firmware-loaders.rules \
-	debian/alsa-firmware-loaders/lib/udev/rules.d/85-alsa-firmware-loaders.rules
 	$(MAKE) -f debian/rules PKG=tmp install-pkg
 
 # Must not depend on anything. This is to be called by binary-arch
@@ -159,6 +159,7 @@
 	(cd debian/ld10k1/usr/bin && mv -f lo10k1 lo10k1.bin && mv -f lo10k1.sh lo10k1)
 	dh_installmenu
 	dh_installman
+	dh_installudev
 	# Unless there is a reason not to, for start sequence number N
 	# it is good policy to use 100 - N as the stop sequence number.
 	dh_installinit --update-rcd-params='start 19 2 3 4 5 . stop 81 0 1 6 .'
